Redis NoSQL Databases(2.6.14): Como instalarlo en OpenSuse 12.3 (linux)

Bueno ahora veremos como instalar redis en OpenSuse 12.3.

  • 1. El primero necesitamos descargar el .tar.gz ya se en su vserion Stable/Dev Release.
  • 2. Extraemos en contenido dentro de /tmp.
    redis-e
  • 3. Compilamos;
    $ cd redis-2.6.14
    $ make
    $ make test
    $ make install

    Compruebe si la compilación se realizó correctamente.

  • 4. Copie el archivo redis.conf a /etc/redis/
    # sudo cp redis.conf /etc/redis/redis.conf

    Si el directorio no está disponible en / etc /, cree una carpeta llamada redis y copiar el archivo de configuración.

  • 5. Para iniciar el servidor de redis en el puerto 6379,
    $ redis-server /etc/redis/redis.conf
  • 6. Agregamos el siguiente fichero en /etc/init.d/redis-servidor con el cual se iniciara redis server
    #! /bin/sh
    ### BEGIN INIT INFO
    # Provides:		redis-server
    # Required-Start:	$syslog
    # Required-Stop:	$syslog
    # Should-Start:		$local_fs
    # Should-Stop:		$local_fs
    # Default-Start:	2 3 4 5
    # Default-Stop:		0 1 6
    # Short-Description:	redis-server - Persistent key-value db
    # Description:		redis-server - Persistent key-value db
    ### END INIT INFO
    
    PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
    DAEMON=/usr/bin/redis-server
    DAEMON_ARGS=/etc/redis/redis.conf
    NAME=redis-server
    DESC=redis-server
    PIDFILE=/var/run/redis.pid
    
    test -x $DAEMON || exit 0
    test -x $DAEMONBOOTSTRAP || exit 0
    
    set -e
    
    case "$1" in
      start)
    	echo -n "Starting $DESC: "
    	touch $PIDFILE
    	chown redis:redis $PIDFILE
    	if start-stop-daemon --start --quiet --umask 007 --pidfile $PIDFILE --chuid redis:redis --exec $DAEMON -- $DAEMON_ARGS
    	then
    		echo "$NAME."
    	else
    		echo "failed"
    	fi
    	;;
      stop)
    	echo -n "Stopping $DESC: "
    	if start-stop-daemon --stop --retry 10 --quiet --oknodo --pidfile $PIDFILE --exec $DAEMON
    	then
    		echo "$NAME."
    	else
    		echo "failed"
    	fi
    	rm -f $PIDFILE
    	;;
    
      restart|force-reload)
    	${0} stop
    	${0} start
    	;;
      *)
    	echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload}" >&2
    	exit 1
    	;;
    esac
    
    exit 0
  • 7. Puede iniciar y detener servidores redistribución utilizando,
    sudo /etc/init.d/redis-server start
    sudo /etc/init.d/redis-server stop
  • 8. Finalmente iniciamos la consola de redis
    $ sudo /etc/init.d/redis-server start
    $ redis-cli
  • 9. El famoso Hello World(Inserting (hello, world) Key, Value Pair:)
    >set hello world
    OK

    Getting “world” Value from “hello” Key:

    >get hello
    “world”

fuentes:
http://tutorialforlinux.com/2013/07/getting-started-with-redis-nosql-database-on-linux-opensuse-step-by-step-easy-guide/

http://www.arunchinnachamy.com/howto-install-latest-redis-version-2-4-17/

http://www.art-coder.com/2011/12/01/how-to-run-redis-server-as-daemon/